Arduino

Reference Language | Libraries | Comparison | Changes

String

## [] (element access)

#### Description

Allows you access to the individual characters of a string.

#### Syntax

char thisChar = string1[n]

#### Parameters

char thisChar - a character variable
string1 - a string variable
int n - a numeric variable

#### Returns

the nth char of the string. Same as charAt().

#### Example

- StringCharacters

#### See also

- StringCharAt

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers